use anyhow::{Context, Result};

use tracing::{error, info, trace, warn};

use tokio::sync::mpsc::{Receiver, UnboundedSender};

use crate::task_msg::{RawEthFrameMessage, PcmFrameMessage};

pub async fn dsp_inb_main(
    tx_for_eth_inb: UnboundedSender<RawEthFrameMessage>,
    rx_for_demod: Receiver<PcmFrameMessage>,
) -> Result<()> {
    trace!("pcm_inb task started");

    Ok(())
}
